#include <stdio.h>
#include <ctype.h>
#include <string.h>

int main() {
	
	int a1, a2, i;
	char c1, c2, cc[100000], ccp[100000];
	
	scanf("%c %c", &c1, &c2);
	scanf("%d %d", &a1, &a2);
	
	if ((a1 - a2 <= 1) && (a1 - a2 >= -1)) {
		if (a1 >= a2) {
			for (i = 0; i < a1; i++) {
				strncat(ccp, &c1, 1);
				strncat(ccp, &c2, 1);
			}
			strncpy(cc, ccp, a1+a2);
		}
		if (a1 < a2) {
			for (i = 0; i < a2; i++) {
				strncat(ccp, &c2, 1);
				strncat(ccp, &c1, 1);
			}
			strncpy(cc, ccp, a1+a2);
		}
		puts(cc);
	}
	else {
		printf("nemoguce");
	}
	
return 0;
}